AC_DEFUN(AC_PATH_QT,
[
AC_PROVIDE([$0])
AC_REQUIRE(AC_PATH_XTRA)

ac_cv_with_qt_dir=
ac_cv_with_qt_lib=
ac_cv_with_qt_inc=

AC_ARG_WITH(qt-dir,
    [  --with-qt-dir           where the root of qt is installed (/usr/local/qt) ],
    [  ac_cv_with_qt_dir="$withval" ])

AC_ARG_WITH(qt-include,
    [  --with-qt-include       where the qt includes are. (/usr/local/qt/include) ],
    [  ac_cv_with_qt_inc="$withval" ])
    
AC_ARG_WITH(qt-lib,
    [  --with-qt-lib           where the qt library is installed. (/usr/local/qt/lib)],
    [  ac_cv_with_qt_lib="$withval" ])
    
dnl try to set some paths

AC_MSG_CHECKING("for Qt location")
if test ! -n "$ac_cv_with_qt_dir"; then
	if test -n "${QTDIR}" && test -d "${QTDIR}"; then
		ac_cv_with_qt_dir="${QTDIR}" 
	elif test -d "/usr/local/qt"; then
		ac_cv_with_qt_dir="/usr/local/qt" 
	elif test -d "/usr/share/qt"; then
		ac_cv_with_qt_dir="/usr/share/qt" 
	elif test -n "${QTDIR}"; then
		AC_MSG_WARN(["Can\'t find Qt in either $QTDIR, /usr/local or /usr/share]")
	else
		AC_MSG_WARN(["Can\'t find Qt in either /usr/local or /usr/share]")
	fi
fi
AC_MSG_RESULT("$ac_cv_with_qt_dir")

dnl check for libraries and includes

AC_MSG_CHECKING("for Qt libraries and includes")
if test ! -n "$ac_cv_with_qt_lib"; then
	ac_cv_with_qt_lib="$ac_cv_with_qt_dir/lib"
fi
if test ! -n "$ac_cv_with_qt_inc"; then
	ac_cv_with_qt_inc="$ac_cv_with_qt_dir/include"
fi
AC_MSG_RESULT(["libraries ${ac_cv_with_qt_lib}, includes ${ac_cv_with_qt_inc}"])

AC_PATH_PROG(MOC, moc, no)
if test "$MOC" = no; then
    AC_MSG_ERROR("You need to install Qt first: can\'t find the meta object compiler")
fi

SAVE_LIBS="${LIBS}"

AC_CHECK_LIB(qt, main,
[
	QT_LIBS="${ac_cv_with_qt_lib} -lqt"
	AC_SUBST(QT_LIBS)
],
[
    AC_MSG_ERROR(["You need to install Qt first: can\'t find the Qt library"])
],
[-L$ac_cv_with_qt_lib $X_LIBS $X_PRE_LIBS -lX11 $X_EXTRA_LIBS])

LIBS="${SAVE_LIBS}"
QT_CFLAGS="-I${ac_cv_with_qt_inc}"
AC_SUBST(QT_CFLAGS)
])
