/*
 * vi:ts=4:sw=4:
 *
 * Project : "Linux Explorer
 * Copyright 1996. All Rights Reserved.
 * 
 * $RCSfile: main_expl.cpp,v $
 *
 * $Revision: 1.2 $
 * 
 * $Author: ruben $ 
 * 
 * $Locker: ruben $
 * 
 * $State: Exp $
 * 
 * 
 * COPYRIGHT
 * =========
 * 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 * 
 * $Log: main_expl.cpp,v $
// Revision 1.2  1997/05/27  09:37:06  ruben
// Made the lowmemory handler active once again. hopefully the new
// prototype will not break if not found
// (set_new_handler from <new.h>
//
 * Revision 1.2  1997/04/29  08:14:45  ruben
 * Added set_new_handler for dumb gcc installations. *sigh*
 *
 * Revision 1.1  1997/04/25 16:07:18  martin
 * Initial revision
 *
 * Revision 1.1  1997/04/06 21:44:04  ruben
 * Initial revision
 *
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif	 // HAVE_CONFIG_H
 
#ifdef USE_RCS_ID
static const char rcs_id[] = "$Id: main_expl.cpp,v 1.2 1997/05/27 09:37:06 ruben Exp ruben $";
#endif	 /* USE_RCS_ID */

#include <ewidgets.h>

#include <stdlib.h>


#ifdef HAVE_NEW_H
#include <new.h>  
#else
extern "C++" {
typedef void (*new_handler)();
extern "C" new_handler set_new_handler (new_handler);
}
#endif


#include <qmsgbox.h>

/*---------------------------------------------------------------------------*/
static void lowmem_handler()
{
	QMessageBox::message("Fatal Error",
                         "Something went terribly wrong and the Explorer went out of memory\nThe Explorer will quit itself after this message","Ok");
	exit(1);
}
/*---------------------------------------------------------------------------*/



/*---------------------------------------------------------------------------*/
int     main(int argc, char **argv)
{
	QApplication::setColorMode(QApplication::CustomColors);
	QApplication a(argc, argv);

  	set_new_handler(&lowmem_handler);	

	ExploreClass *f = new ExploreClass(NULL, NULL,argc,argv);

	a.setMainWidget(f);
	f->show();
	a.exec();

	return (0);
}
/*---------------------------------------------------------------------------*/
// vi:ts=4:sw=4:
